Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class BadPartitioningException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jface.text.BadPartitioningException

All Implemented Interfaces:
  Serializable

    public class BadPartitioningException

extends Exception

Represents the attempt to refer to a non-existing document partitioning.

This class is not intended to be serialized.

Since:
  3.0
See Also:
  `IDocument`, `IDocumentExtension3`, Serialized Form

Constructor Summary
`BadPartitioningException()` Creates a new bad partitioning exception.
`BadPartitioningException(String message)` Creates a new bad partitioning exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadPartitioningException

    public BadPartitioningException()

  Creates a new bad partitioning exception.

### BadPartitioningException

    public BadPartitioningException(String message)

  Creates a new bad partitioning exception.

  Parameters:
    `message` - message describing the exception

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.